package jpos.config.simple.editor;

///////////////////////////////////////////////////////////////////////////////
//
// This software is provided "AS IS".  The JavaPOS working group (including
// each of the Corporate members, contributors and individuals)  MAKES NO
// REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE,
// EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
// NON-INFRINGEMENT. The JavaPOS working group shall not be liable for
// any damages suffered as a result of using, modifying or distributing this
// software or its derivatives. Permission to use, copy, modify, and distribute
// the software and its documentation for any purpose is hereby granted. 
//
///////////////////////////////////////////////////////////////////////////////


/**
 * Interface for all Exerciser JposEntryEditorRc messages I18N resource bundle object keys
 * @author Kriselie D Rivera
 * @version 0.1.0 (JDK 1.x.x)
 * @since 1.3 (SF 2K meeting)
 */
public interface JposEntryEditorRcKeys
{ 
   //--------------------------------------------------------------------------
   // Exerciser application - String message constants keys
   // NOTE: Add all I18N supported Strings keys here and default the name as the
   // same as the String name prepended with the suffix _KEY.  Also the String
   // key value is the same as the name of the constant String object name
   //

   //---------------------------------------------------------------------------
   //Messages UI
   //

   public static final String JPOSENTRYEDITOR_STRING_KEY = "JPOSENTRYEDITOR_STRING_KEY";
   public static final String FILE_STRING_KEY = "FILE_STRING_KEY";
   public static final String NEW_STRING_KEY = "NEW_STRING_KEY";
   public static final String OPEN_STRING_KEY = "OPEN_STRING_KEY";
   public static final String SAVE_STRING_KEY = "SAVE_STRING_KEY";
   public static final String SAVEAS_STRING_KEY = "SAVEAS_STRING_KEY";
   public static final String LOADJPOSREGISTRY_STRING_KEY = "LOADJPOSREGISTRY_STRING_KEY";
   public static final String SAVEJPOSREGISTRY_STRING_KEY = "SAVEJPOSREGISTRY_STRING_KEY";
   public static final String CLOSEJPOSREGISTRY_STRING_KEY = "CLOSEJPOSREGISTRY_STRING_KEY";
   public static final String CLOSE_STRING_KEY = "CLOSE_STRING_KEY";
   public static final String EXIT_STRING_KEY = "EXIT_STRING_KEY";
   public static final String EDIT_STRING_KEY = "EDIT_STRING_KEY";
   public static final String ADD_STRING_KEY = "ADD_STRING_KEY";
   public static final String COPY_STRING_KEY = "COPY_STRING_KEY";
   public static final String DELETE_STRING_KEY = "DELETE_STRING_KEY";
   public static final String MODIFY_STRING_KEY = "MODIFY_STRING_KEY";
   public static final String PREFERENCES_STRING_KEY = "PREFERENCES_STRING_KEY";
   public static final String HELP_STRING_KEY = "HELP_STRING_KEY";
   public static final String ABOUT_STRING_KEY = "ABOUT_STRING_KEY";
   
   public static final String JPOSENTRIES_STRING_KEY = "JPOSENTRIES_STRING_KEY";
   public static final String PROPERTIES_STRING_KEY = "PROPERTIES_STRING_KEY";
   public static final String IMPORTANTPROPERTIES_STRING_KEY = "IMPORTANTPROPERTIES_STRING_KEY";
   public static final String CURRENTPROPERTY_STRING_KEY = "CURRENTPROPERTY_STRING_KEY";
   public static final String PROPERTYNAME_STRING_KEY = "PROPERTYNAME_STRING_KEY";
   public static final String PROPERTYVALUE_STRING_KEY = "PROPERTYVALUE_STRING_KEY";
   public static final String PROPERTYTYPE_STRING_KEY = "PROPERTYTYPE_STRING_KEY";
   public static final String OTHERPROPERTIES_STRING_KEY = "OTHERPROPERTIES_STRING_KEY";
   public static final String MESSAGES_STRING_KEY = "MESSAGES_STRING_KEY";
   public static final String TOPOFFILE_STRING_KEY = "TOPOFFILE_STRING_KEY";
   
   //---------------------------------------------------------------------------
   //Messages Main Frame

   public static final String NEWFILEMENU_STRING_KEY = "NEWFILEMENU_STRING_KEY";
   public static final String NEWFILEBUTTON_STRING_KEY = "NEWFILEBUTTON_STRING_KEY";
   public static final String OPENFILEMENU_STRING_KEY = "OPENFILEMENU_STRING_KEY";
   public static final String OPENFILEBUTTON_STRING_KEY = "OPENFILEBUTTON_STRING_KEY";
   public static final String SAVEFILEMENU_STRING_KEY = "SAVEFILEMENU_STRING_KEY";
   public static final String SAVEFILEBUTTON_STRING_KEY = "SAVEFILEBUTTON_STRING_KEY";
   public static final String SAVEASFILEMENU_STRING_KEY = "SAVEASFILEMENU_STRING_KEY";
   public static final String SAVEASFILEBUTTON_STRING_KEY = "SAVEASFILEBUTTON_STRING_KEY";
   public static final String LOADJPOSREGISTRYMENU_STRING_KEY = "LOADJPOSREGISTRYMENU_STRING_KEY";
   public static final String SAVEJPOSREGISTRYMENU_STRING_KEY = "SAVEJPOSREGISTRYMENU_STRING_KEY";
   public static final String CLOSEJPOSREGISTRYMENU_STRING_KEY = "CLOSEJPOSREGISTRYMENU_STRING_KEY";
   public static final String CLOSEFILEMENU_STRING_KEY = "CLOSEFILEMENU_STRING_KEY";
   public static final String CLOSEFILEBUTTON_STRING_KEY = "CLOSEFILEBUTTON_STRING_KEY";
   public static final String EXITMENU_STRING_KEY = "EXITMENU_STRING_KEY";
   
   public static final String ADDMENU_STRING_KEY = "ADDMENU_STRING_KEY";
   public static final String COPYMENU_STRING_KEY = "COPYMENU_STRING_KEY";
   public static final String ADDBUTTON_STRING_KEY = "ADDBUTTON_STRING_KEY";
   public static final String DELETEMENU_STRING_KEY = "DELETEMENU_STRING_KEY";
   public static final String DELETEBUTTON_STRING_KEY = "DELETEBUTTON_STRING_KEY";
   public static final String MODIFYMENU_STRING_KEY = "MODIFYMENU_STRING_KEY";
   public static final String MODIFYBUTTON_STRING_KEY = "MODIFYBUTTON_STRING_KEY";

   public static final String ABOUTMENU_STRING_KEY = "ABOUTMENU_STRING_KEY";
   public static final String ABOUTBUTTON_STRING_KEY = "ABOUTBUTTON_STRING_KEY";
   public static final String CONFIGMENU_STRING_KEY = "CONFIGMENU_STRING_KEY";
   public static final String CONFIGBUTTON_STRING_KEY = "CONFIGBUTTON_STRING_KEY";

   //---------------------------------------------------------------------------
   //Delete Messages

   public static final String SELECTENTRYTODELETE_STRING_KEY = "SELECTENTRYTODELETE_STRING_KEY";
   public static final String DELETEENTRYWITHLOGNAM_STRING_KEY = "DELETEENTRYWITHLOGNAM_STRING_KEY";

   //---------------------------------------------------------------------------
   //Modify Messages

   public static final String SELECTENTRYTOMODIFY_STRING_KEY = "SELECTENTRYTOMODIFY_STRING_KEY";

   //___________________________________________________________________________
   //Copy Messages

   public static final String ENTERNEWLOGICALNAME_STRING_KEY = "ENTERNEWLOGICALNAME_STRING_KEY";

    
   //---------------------------------------------------------------------------
   //Save Messages

   public static final String SAVECURRENTCHANGES_STRING_KEY = "SAVECURRENTCHANGES_STRING_KEY";

   //---------------------------------------------------------------------------
   //Open Messages

   public static final String OPENFILE_STRING_KEY = "OPENFILE_STRING_KEY";
   public static final String NOENTRIES_STRING_KEY = "NOENTRIES_STRING_KEY";
   public static final String ERROR_STRING_KEY = "ERROR_STRING_KEY";
   
   //---------------------------------------------------------------------------
   //Close Messages

   public static final String CLOSECHANGES_STRING_KEY = "CLOSECHANGES_STRING_KEY";
   public static final String CLOSEDFILE_STRING_KEY = "CLOSEDFILE_STRING_KEY";
   public static final String CLOSEDFILEWITHCHANGES_STRING_KEY = "CLOSEDFILEWITHCHANGES_STRING_KEY";

   //---------------------------------------------------------------------------
   //Save Messages

   public static final String ERRORSAVING_STRING_KEY = "ERRORSAVING_STRING_KEY";
   public static final String SAVEDFILE_STRING_KEY = "SAVEDFILE_STRING_KEY";

   //---------------------------------------------------------------------------
   //Save As Messages

   public static final String SAVECHANGES_STRING_KEY = "SAVECHANGES_STRING_KEY";
   public static final String CHANGESLOST_STRING_KEY = "CHANGESLOST_STRING_KEY";

   //---------------------------------------------------------------------------
   //LoadJposRegistry Messages

   public static final String LOADENTRIESJPOSREGISTRY_STRING_KEY = "LOADENTRIESJPOSREGISTRY_STRING_KEY";
   public static final String NOENTRIESJPOSREGISTRY_STRING_KEY = "NOENTRIESJPOSREGISTRY_STRING_KEY";
      
   //---------------------------------------------------------------------------
   //SaveJposRegistry Messages
     
   public static final String ERRORSAVINGJPOSREGISTRY_STRING_KEY = "ERRORSAVINGJPOSREGISTRY_STRING_KEY";
   public static final String SAVEDCHANGESTOREGISTRY_STRING_KEY = "SAVEDCHANGESTOREGISTRY_STRING_KEY";

   //---------------------------------------------------------------------------
   //CloseJposRegistry Messages

   public static final String SAVECHANGESJPOSREGISTRY_STRING_KEY = "SAVECHANGESJPOSREGISTRY_STRING_KEY";
   public static final String CLOSEDJPOSREGISTRY_STRING_KEY = "CLOSEDJPOSREGISTRY_STRING_KEY";

   //---------------------------------------------------------------------------
   //isCurrentLnFMetal Message

   public static final String METAL_STRING_KEY = "METAL_STRING_KEY";

   //---------------------------------------------------------------------------
   //AboutDialog class

   public static final String ABOUTTITLE_STRING_KEY = "ABOUTTITLE_STRING_KEY";
   public static final String ABOUTTITLELABEL_STRING_KEY = "ABOUTTITLELABEL_STRING_KEY";
   public static final String OKBUTTON_STRING_KEY = "OKBUTTON_STRING_KEY";
   public static final String JAVAVERSION_STRING_KEY = "JAVAVERSION_STRING_KEY";
   public static final String LABEL_STRING_KEY = "LABEL_STRING_KEY";
   public static final String DIALOG_STRING_KEY = "DIALOG_STRING_KEY";
   public static final String OS_STRING_KEY = "OS_STRING_KEY";
   public static final String ARCHITECTURE_STRING_KEY = "ARCHITECTURE_STRING_KEY";
   public static final String TOTALMEMORY_STRING_KEY = "TOTALMEMORY_STRING_KEY";
   public static final String BYTES_STRING_KEY = "BYTES_STRING_KEY";
   public static final String FREEMEMORY_STRING_KEY = "FREEMEMORY_STRING_KEY";

   //---------------------------------------------------------------------------
   //EditJposEntryDialog class

   public static final String EDITTITLE_STRING_KEY = "EDITTITLE_STRING_KEY";
   public static final String ADDPROP_STRING_KEY = "ADDPROP_STRING_KEY";
   public static final String MODIFYPROP_STRING_KEY = "MODIFYPROP_STRING_KEY";
   public static final String DELETEPROP_STRING_KEY = "DELETEPROP_STRING_KEY";
   public static final String DELETEJPOSENTRY_STRING_KEY = "DELETEJPOSENTRY_STRING_KEY";
   public static final String VALIDNAME_STRING_KEY = "VALIDNAME_STRING_KEY";
   public static final String VALIDCLASS_STRING_KEY = "VALIDCLASS_STRING_KEY";
   public static final String UNKNOWN_STRING_KEY = "UNKNOWN_STRING_KEY";
   public static final String USEDNAME_STRING_KEY = "USEDNAME_STRING_KEY";
   public static final String CANCELBUTTON_STRING_KEY = "CANCELBUTTON_STRING_KEY";

   //---------------------------------------------------------------------------
   //EditJposEntryPropDialog class

   public static final String EDITPROPTITLE_STRING_KEY = "EDITPROPTITLE_STRING_KEY";
   public static final String EDITPROPERTYNAME_STRING_KEY = "EDITPROPERTYNAME_STRING_KEY";
   public static final String EDITPROPERTYVALUE_STRING_KEY = "EDITPROPERTYVALUE_STRING_KEY";
   public static final String EDITPROPERTYTYPE_STRING_KEY = "EDITPROPERTYTYPE_STRING_KEY";
   public static final String EDITINVALIDPROPERTY_STRING_KEY = "EDITINVALIDPROPERTY_STRING_KEY";
   
   public static final String PROPERTYDEFINED_STRING_KEY = "PROPERTYDEFINED_STRING_KEY";
   public static final String EDITVALIDNAME_STRING_KEY = "EDITVALIDNAME_STRING_KEY";
   public static final String NOTCOMPATIBLE_STRING_KEY = "NOTCOMPATIBLE_STRING_KEY";

   //------------------------------------------------------------------------
   //JposEntryEditorConfig class

   public static final String ERRORSAVINGFILE_STRING_KEY = "ERRORSAVINGFILE_STRING_KEY";
   
   //------------------------------------------------------------------------
   //JposEntryEditorConfigDialog class

   public static final String JPOSENTRYPREFERENCES_STRING_KEY = "JPOSENTRYPREFERENCES_STRING_KEY";
   public static final String TREEVIEW_STRING_KEY = "TREEVIEW_STRING_KEY";
   public static final String LOOKANDFEEL_STRING_KEY = "LOOKANDFEEL_STRING_KEY";
   public static final String AUTOEXPAND_STRING_KEY = "AUTOEXPAND_STRING_KEY";
   public static final String SORTED_STRING_KEY = "SORTED_STRING_KEY";
   public static final String CATEGORY_STRING_KEY = "CATEGORY_STRING_KEY";
   public static final String MANUFACTURER_STRING_KEY = "MANUFACTURER_STRING_KEY";
   public static final String JAVALOOKANDFEEL_STRING_KEY = "JAVALOOKANDFEEL_STRING_KEY";
   public static final String NATIVELOOKANDFEEL_STRING_KEY = "NATIVELOOKANDFEEL_STRING_KEY";
   public static final String VIEWOPTIONS_STRING_KEY = "VIEWOPTIONS_STRING_KEY";
   public static final String SHOWINTEGERSASHEX_STRING_KEY = "SHOWINTEGERSASHEX_STRING_KEY";
   public static final String AUTOLOADREGISTRY_STRING_KEY = "AUTOLOADREGISTRY_STRING_KEY";

   //------------------------------------------------------------------------
   //JposEntryTreePanel class

   public static final String ENTRIES_STRING_KEY = "ENTRIES_STRING_KEY";

   //------------------------------------------------------------------------
   //JposEntryViewPanel class

   public static final String LOGICALNAMETEXT_STRING_KEY = "LOGICALNAMETEXT_STRING_KEY";
   public static final String SIFACTORYCLASSTEXT_STRING_KEY = "SIFACTORYCLASSTEXT_STRING_KEY";
   public static final String CURRENTPROPNAMETEXT_STRING_KEY = "CURRENTPROPNAMETEXT_STRING_KEY";
   public static final String CURRENTPROPVALUETEXT_STRING_KEY = "CURRENTPROPVALUETEXT_STRING_KEY";

   //------------------------------------------------------------------------
   //JposEntryProp class

   public static final String SETNAMEEXCEPTION_STRING_KEY = "SETNAMEEXCEPTION_STRING_KEY";

    //-----------------------------------------------------------------------
    // StandardPropsViewPanel class

    public static final String CREATION_PROPS_STRING_KEY = "CREATION_PROPS_STRING_KEY";
    public static final String JPOS_PROPS_STRING_KEY = "JPOS_PROPS_STRING_KEY";
    public static final String VENDOR_PROPS_STRING_KEY = "VENDOR_PROPS_STRING_KEY";
    public static final String PRODUCT_PROPS_STRING_KEY = "PRODUCT_PROPS_STRING_KEY";
    public static final String PROPERTY_NAME_STRING_KEY = "PROPERTY_NAME_STRING_KEY";
    public static final String PROPERTY_VALUE_STRING_KEY = "PROPERTY_VALUE_STRING_KEY";
}

