package jpos.config.simple.editor;

///////////////////////////////////////////////////////////////////////////////
//
// This software is provided "AS IS".  The JavaPOS working group (including
// each of the Corporate members, contributors and individuals)  MAKES NO
// REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE,
// EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
// NON-INFRINGEMENT. The JavaPOS working group shall not be liable for
// any damages suffered as a result of using, modifying or distributing this
// software or its derivatives. Permission to use, copy, modify, and distribute
// the software and its documentation for any purpose is hereby granted. 
//
///////////////////////////////////////////////////////////////////////////////

import javax.swing.ImageIcon;

/**
 * interface for creating tree nodes
 * @author Manuel M Monserrate
 * @author E. Michael Maximilien (maxim@us.ibm.com)
 * @since 1.3 (SF 2K meeting)
 */
public interface TreeNodeUI
{
    /** @return the name of the JposEntry contained within the TreeNodeUI */
    public String getName();

    /** @return the image icon for this entry */
    public ImageIcon getImageIcon();

    /**
     * @return String representation of the TreeNodeUI to be used 
	 * for displaying the node in the tree
     */
    public String toString();

    /** @return text for tool tip display */
    public String getToolTipText();
}
