package jpos.config.simple.editor.i18n;

///////////////////////////////////////////////////////////////////////////////
//
// This software is provided "AS IS".  The JavaPOS working group (including
// each of the Corporate members, contributors and individuals)  MAKES NO
// REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE,
// EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
// NON-INFRINGEMENT. The JavaPOS working group shall not be liable for
// any damages suffered as a result of using, modifying or distributing this
// software or its derivatives. Permission to use, copy, modify, and distribute
// the software and its documentation for any purpose is hereby granted. 
//
///////////////////////////////////////////////////////////////////////////////

import java.util.ListResourceBundle;

import jpos.config.simple.editor.*;

/**
 * This is the resource class for all classes in jpos.config.simple.editor package
 * for all Japaneese locals
 * @author Kriselie D Rivera
 * @author E. Michael Maximilien (maxim@us.ibm.com)
 * @since 1.3
 */
public class JposEntryEditorRc_ja extends JposEntryEditorRc
{

    /** @return the contents Object array with translated array */
   public Object[][] getContents() { return contents; }


   /** Final static double array with I18N translated objects */
   protected static final Object[][] contents = 
   {
      //LOCALIZE THIS

      //---------------------------------------------------------------------------
      //Messages UI
      
      { JposEntryEditorRcKeys.JPOSENTRYEDITOR_STRING_KEY,              
        "JposEntryEditor" },

      { JposEntryEditorRcKeys.FILE_STRING_KEY,              
        "t@C" },

      { JposEntryEditorRcKeys.NEW_STRING_KEY,              
        "VK" },

      { JposEntryEditorRcKeys.OPEN_STRING_KEY,              
        "J" },

      { JposEntryEditorRcKeys.SAVE_STRING_KEY,              
        "ۑ" },

      { JposEntryEditorRcKeys.SAVEAS_STRING_KEY,              
        "Otĕۑ" },

      { JposEntryEditorRcKeys.LOADJPOSREGISTRY_STRING_KEY,
        "JposRegistry ̓Ǎ" },

      { JposEntryEditorRcKeys.SAVEJPOSREGISTRY_STRING_KEY,              
        "JposRegistry ̕ۊ" },

      { JposEntryEditorRcKeys.CLOSEJPOSREGISTRY_STRING_KEY,              
        "JposRegistry " },

      { JposEntryEditorRcKeys.CLOSE_STRING_KEY,              
        "" },

      { JposEntryEditorRcKeys.EXIT_STRING_KEY,              
        "I" },

      { JposEntryEditorRcKeys.EDIT_STRING_KEY,              
        "ҏW" },

      { JposEntryEditorRcKeys.ADD_STRING_KEY,              
        "ǉ" },

      { JposEntryEditorRcKeys.COPY_STRING_KEY,              
        "Rs[" },

      { JposEntryEditorRcKeys.DELETE_STRING_KEY,              
        "폜" },

      { JposEntryEditorRcKeys.MODIFY_STRING_KEY,              
        "C" },

      { JposEntryEditorRcKeys.PREFERENCES_STRING_KEY,              
        "IvV" },

      { JposEntryEditorRcKeys.HELP_STRING_KEY,              
        "wv" },

      { JposEntryEditorRcKeys.ABOUT_STRING_KEY,              
        "i" },
 
      { JposEntryEditorRcKeys.JPOSENTRIES_STRING_KEY,           
        "Gg["},
                      
      { JposEntryEditorRcKeys.PROPERTIES_STRING_KEY,
        "vpeB" },

      { JposEntryEditorRcKeys.IMPORTANTPROPERTIES_STRING_KEY,
        "K{vpeB" },

      { JposEntryEditorRcKeys.CURRENTPROPERTY_STRING_KEY,
        "݂̃vpeB" },

      { JposEntryEditorRcKeys.PROPERTYNAME_STRING_KEY,
        "vpeB-O"},

      { JposEntryEditorRcKeys.PROPERTYVALUE_STRING_KEY,
        "vpeB-l"},

      { JposEntryEditorRcKeys.PROPERTYTYPE_STRING_KEY,
        "vpeB-^"},

      { JposEntryEditorRcKeys.OTHERPROPERTIES_STRING_KEY,
        "̑̃vpeB"},

      { JposEntryEditorRcKeys.MESSAGES_STRING_KEY,
        "bZ[W"},

      { JposEntryEditorRcKeys.TOPOFFILE_STRING_KEY,
        "------------ bZ[W̐擪 ------------\n"},

      //--------------------------------------------------------------
      //Messages Main Frame
      
      { JposEntryEditorRcKeys.NEWFILEMENU_STRING_KEY,
        "쐬 - JposEntry serialization file"},

      { JposEntryEditorRcKeys.NEWFILEBUTTON_STRING_KEY,
        "쐬 - JposEntry serialization file"},

      { JposEntryEditorRcKeys.OPENFILEMENU_STRING_KEY,
        "J - JposEntry serialization file"},


      { JposEntryEditorRcKeys.OPENFILEBUTTON_STRING_KEY,
        "J - JposEntry serialization file"},


      { JposEntryEditorRcKeys.SAVEFILEMENU_STRING_KEY,
        "ۑ - JposEntry serialization file"},

      { JposEntryEditorRcKeys.SAVEFILEBUTTON_STRING_KEY,
        "ۑ - JposEntry serialization file"},
      
      { JposEntryEditorRcKeys.SAVEASFILEMENU_STRING_KEY,
        "JposEntry serialization file ۑOɐq˂"},
      
      { JposEntryEditorRcKeys.SAVEASFILEBUTTON_STRING_KEY,
        "JposEntry serialization file ۑOɐq˂"},

      { JposEntryEditorRcKeys.LOADJPOSREGISTRYMENU_STRING_KEY,
        "Ǎ - JposRegistry"},
      
      { JposEntryEditorRcKeys.SAVEJPOSREGISTRYMENU_STRING_KEY,
        "ۑ - JposRegistry"},

      { JposEntryEditorRcKeys.CLOSEJPOSREGISTRYMENU_STRING_KEY,
        " - JposRegistry"},

      { JposEntryEditorRcKeys.CLOSEFILEMENU_STRING_KEY,
        " JposEntry serialization file"},

      { JposEntryEditorRcKeys.CLOSEFILEBUTTON_STRING_KEY,
        " - JposEntry serialization file"},

      { JposEntryEditorRcKeys.EXITMENU_STRING_KEY,
        "GfB^̏I"},

      { JposEntryEditorRcKeys.ADDMENU_STRING_KEY,
        "ǉ - JposEntry"},

      { JposEntryEditorRcKeys.COPYMENU_STRING_KEY,
        "Rs[ - JposEntry"},

      { JposEntryEditorRcKeys.ADDBUTTON_STRING_KEY,
        "ǉ - JposEntry"},

      { JposEntryEditorRcKeys.DELETEMENU_STRING_KEY,
        "폜 - JposEntry"},

      { JposEntryEditorRcKeys.DELETEBUTTON_STRING_KEY,
        "폜 - JposEntry"},

      { JposEntryEditorRcKeys.MODIFYMENU_STRING_KEY,
        "ύX - JposEntry"},

      { JposEntryEditorRcKeys.MODIFYBUTTON_STRING_KEY,
        "ύX - JposEntry"},

      { JposEntryEditorRcKeys.ABOUTMENU_STRING_KEY,
        "JposEntryEditor ɂ"},

      { JposEntryEditorRcKeys.ABOUTBUTTON_STRING_KEY,
        "JposEntryEditor ɂ"},

      { JposEntryEditorRcKeys.CONFIGMENU_STRING_KEY,
        "JposEntry Editor ̃IvV"},

      { JposEntryEditorRcKeys.CONFIGBUTTON_STRING_KEY,
        "JposEntry Editor ̃IvVύX"},

      //--------------------------------------------------------------
      
      { JposEntryEditorRcKeys.SELECTENTRYTODELETE_STRING_KEY,
        "폜Gg[IłB"},

      { JposEntryEditorRcKeys.DELETEENTRYWITHLOGNAM_STRING_KEY,
        "폜Gg[̘_mFĂ: "},

      { JposEntryEditorRcKeys.SELECTENTRYTOMODIFY_STRING_KEY,
        "ύXGg[IłB"},

      { JposEntryEditorRcKeys.SAVECURRENTCHANGES_STRING_KEY,
        "IOɕύXۊǂ܂H"},

      { JposEntryEditorRcKeys.ENTERNEWLOGICALNAME_STRING_KEY,
        "V_͂ĂB" },

      //--------------------------------------------------------------
      //Open Messages

      { JposEntryEditorRcKeys.OPENFILE_STRING_KEY,
        "J: {0}  {1} Gg["},

      { JposEntryEditorRcKeys.NOENTRIES_STRING_KEY,
        "Gg[t@Cɑ݂܂"},

      { JposEntryEditorRcKeys.ERROR_STRING_KEY,
        "t@CǍɃG[܂: "},

      //--------------------------------------------------------------
      //Close Messages

      { JposEntryEditorRcKeys.CLOSECHANGES_STRING_KEY,
        "ύXۑ܂H"},

      { JposEntryEditorRcKeys.CLOSEDFILE_STRING_KEY,
        "ύXɕ܂B"},

      { JposEntryEditorRcKeys.CLOSEDFILEWITHCHANGES_STRING_KEY,
        "ۑĕ: {0} t@C {1} Gg[" },

     //--------------------------------------------------------------
     //Save Messages

     { JposEntryEditorRcKeys.ERRORSAVING_STRING_KEY,
       "t@CۑɃG[܂: "},

     { JposEntryEditorRcKeys.SAVEDFILE_STRING_KEY,
       "ۑ: {0} t@C {1} Gg["},


     //--------------------------------------------------------------
     //Save As Messages

     { JposEntryEditorRcKeys.SAVECHANGES_STRING_KEY,
       "Gg[ۑ܂H"},

     { JposEntryEditorRcKeys.CHANGESLOST_STRING_KEY,
       "ύX܂I\nsĂ낵łH"},

     //--------------------------------------------------------------
     //LoadJposRegistry Messages

     { JposEntryEditorRcKeys.LOADENTRIESJPOSREGISTRY_STRING_KEY,
       "Ǎ - JposEntryRegistry {0} Gg["},

     { JposEntryEditorRcKeys.NOENTRIESJPOSREGISTRY_STRING_KEY,
        "JposEntryRegistry ɃGg[܂܂Ă܂"},

     //------------------------------------------------------------------
     //SaveJposRegistry Messages
        
     { JposEntryEditorRcKeys.ERRORSAVINGJPOSREGISTRY_STRING_KEY,
       "JposEntryRegistry ̕ۑɃG[܂"},

     { JposEntryEditorRcKeys.SAVEDCHANGESTOREGISTRY_STRING_KEY,
       "ۑ - JposEntryRegistry {0} Gg"},
       
     //--------------------------------------------------------------  
     //CloseJposRegistry Messages
       
     { JposEntryEditorRcKeys.SAVECHANGESJPOSREGISTRY_STRING_KEY,
       "ύXۑ܂H"},

     { JposEntryEditorRcKeys.CLOSEDJPOSREGISTRY_STRING_KEY,
       "JposEntryRegistry ܂"},

     //--------------------------------------------------------------
     //isCurrentLnFMetal Message

     { JposEntryEditorRcKeys.METAL_STRING_KEY,
       "^"},

     //---------------------------------------------------------------
     //AboutDialog Class
       
     { JposEntryEditorRcKeys.ABOUTTITLE_STRING_KEY,
       "i"},

     { JposEntryEditorRcKeys.ABOUTTITLELABEL_STRING_KEY,
       "JposEntryEditor " + jpos.loader.Version.getVersionString() },

     { JposEntryEditorRcKeys.OKBUTTON_STRING_KEY,
       ""},

     { JposEntryEditorRcKeys.JAVAVERSION_STRING_KEY,
       "Java version:"},

     { JposEntryEditorRcKeys.LABEL_STRING_KEY,
       "x"},

     { JposEntryEditorRcKeys.DIALOG_STRING_KEY,
       "_CAO"},

     { JposEntryEditorRcKeys.OS_STRING_KEY,
       "OS:"},

     { JposEntryEditorRcKeys.ARCHITECTURE_STRING_KEY,
       "CPU:"},

     { JposEntryEditorRcKeys.TOTALMEMORY_STRING_KEY,
       "SL:"},

     { JposEntryEditorRcKeys.FREEMEMORY_STRING_KEY,
       "󂫗̈:"},

     { JposEntryEditorRcKeys.BYTES_STRING_KEY,
       "bytes"},

     //--------------------------------------------------------------
     //EditJposEntryDialog class

     { JposEntryEditorRcKeys.EDITTITLE_STRING_KEY,
       "ҏW - JposEntry"},

     { JposEntryEditorRcKeys.ADDPROP_STRING_KEY,
       "vpeB̒ǉ"},

     { JposEntryEditorRcKeys.MODIFYPROP_STRING_KEY,
       "vpeB̕ύX"},
      
     { JposEntryEditorRcKeys.DELETEPROP_STRING_KEY,
       "vpeB̍폜"},

     { JposEntryEditorRcKeys.DELETEJPOSENTRY_STRING_KEY,
       "_ŃGg̍폜: "},

     { JposEntryEditorRcKeys.VALIDNAME_STRING_KEY,
       "LȘ_͂ĉB"},

     { JposEntryEditorRcKeys.VALIDCLASS_STRING_KEY,
       "Lȃt@NgNX͂ĉB"},

     { JposEntryEditorRcKeys.UNKNOWN_STRING_KEY,
       "?"},

     { JposEntryEditorRcKeys.USEDNAME_STRING_KEY,
       "̘_͎gpĂ܂.\n͂ĂB" , "JposEntryEditor"},

     { JposEntryEditorRcKeys.CANCELBUTTON_STRING_KEY,
       "LZ"},

     //--------------------------------------------------------------
     //EditJposEntryPropDialog class


     { JposEntryEditorRcKeys.EDITPROPTITLE_STRING_KEY,
       "ҏW - vpeB"},

     { JposEntryEditorRcKeys.EDITPROPERTYNAME_STRING_KEY,
       "vpeB̖O:"},

     { JposEntryEditorRcKeys.EDITPROPERTYVALUE_STRING_KEY,
       "vpeB̒l:"},

     { JposEntryEditorRcKeys.EDITPROPERTYTYPE_STRING_KEY,
       "vpeB̌^:"},

     { JposEntryEditorRcKeys.EDITINVALIDPROPERTY_STRING_KEY,
       "ȃvpeB:"},

     { JposEntryEditorRcKeys.PROPERTYDEFINED_STRING_KEY,
       "̃vpeB͎gpς݂ł"},

     { JposEntryEditorRcKeys.EDITVALIDNAME_STRING_KEY,
       "Need a valid name and value for a JposEntryProp"},
      
     { JposEntryEditorRcKeys.NOTCOMPATIBLE_STRING_KEY,
       "l^ɍĂ܂I"},

     //--------------------------------------------------------------
     //JposEntryEditorConfig class
      
     { JposEntryEditorRcKeys.ERRORSAVINGFILE_STRING_KEY,
       "ۑɃG[܂"},
     
     //--------------------------------------------------------------
     //JposEntryEditorConfigDialog class


     { JposEntryEditorRcKeys.JPOSENTRYPREFERENCES_STRING_KEY,
       "JposEntry Editor IvV"},

     { JposEntryEditorRcKeys.TREEVIEW_STRING_KEY,
       "c[`"},

     { JposEntryEditorRcKeys.LOOKANDFEEL_STRING_KEY,
       "GUI X^C"},

     { JposEntryEditorRcKeys.AUTOEXPAND_STRING_KEY,
       "c[̎WJ"},

     { JposEntryEditorRcKeys.SORTED_STRING_KEY,
       "At@xbg"},

     { JposEntryEditorRcKeys.CATEGORY_STRING_KEY,
       "JeS"},

     { JposEntryEditorRcKeys.MANUFACTURER_STRING_KEY,
       "x_"},

     { JposEntryEditorRcKeys.JAVALOOKANDFEEL_STRING_KEY,
       "Java GUI X^C"},

     { JposEntryEditorRcKeys.NATIVELOOKANDFEEL_STRING_KEY,
       "lCeBu"},

     { JposEntryEditorRcKeys.VIEWOPTIONS_STRING_KEY,
       "\IvV" },

     { JposEntryEditorRcKeys.SHOWINTEGERSASHEX_STRING_KEY,
       "16 i\" },

     { JposEntryEditorRcKeys.AUTOLOADREGISTRY_STRING_KEY,
       "JposRegistry ̎Ǎ" },

     //--------------------------------------------------------------
     //JposEntryTreePanel class

     { JposEntryEditorRcKeys.ENTRIES_STRING_KEY,
       "Gg["},

     //--------------------------------------------------------------
     //JposEntryViewPanel class

     { JposEntryEditorRcKeys.LOGICALNAMETEXT_STRING_KEY,
       "JposEntry _"},

     { JposEntryEditorRcKeys.SIFACTORYCLASSTEXT_STRING_KEY,
       "JposEntry t@NgNX"},

     { JposEntryEditorRcKeys.CURRENTPROPNAMETEXT_STRING_KEY,
       "݂̃vpeB"},
      
     { JposEntryEditorRcKeys.CURRENTPROPVALUETEXT_STRING_KEY,
       "݂̃vpeBl"},
   
     //--------------------------------------------------------------
     //JposEntryProp class

      { JposEntryEditorRcKeys.SETNAMEEXCEPTION_STRING_KEY,
        "sK؂ł JposEntryProp.setName( String s )"},

    //-----------------------------------------------------------------------
    // StandardPropsViewPanel class

      {JposEntryEditorRcKeys.CREATION_PROPS_STRING_KEY,
       "vpeB"},

      {JposEntryEditorRcKeys.JPOS_PROPS_STRING_KEY,
       "JavaPOS vpeB"},

      {JposEntryEditorRcKeys.VENDOR_PROPS_STRING_KEY,
       "x_[vpeB"},

      {JposEntryEditorRcKeys.PRODUCT_PROPS_STRING_KEY,
       "ivpeB"},

      {JposEntryEditorRcKeys.PROPERTY_NAME_STRING_KEY,
       "vpeB"},

      {JposEntryEditorRcKeys.PROPERTY_VALUE_STRING_KEY,
       "vpeBl"}

   //END OF MATERIAL TO LOCALIZE
   };
}
